## Package com.google.gwt.core.client

Fundamental classes used in client-side GWT code.

See:
Description

Interface Summary
EntryPoint: Implement this interface to allow a class to act as a module entry point.
GWT.UncaughtExceptionHandler: This interface is used to catch exceptions at the "top level" just before they escape to the browser.

Class Summary
GWT: Supports core functionality that in some cases requires direct support from the compiler and runtime systems such as runtime type information and deferred binding.
JavaScriptObject: An opaque handle to a native JavaScript object.

Exception Summary
JavaScriptException: Any JavaScript exceptions occurring within JSNI methods are wrapped as this class when caught in Java code.

## Package com.google.gwt.core.client Description

Fundamental classes used in client-side GWT code. The classes in this package represent concepts fundamental to GWT, such as module entry points, and interfacing with JavaScript.